import request from '@/utils/request'

// 查询分时电价维护列表
export function listBaseSharePrice(query) {
  return request({
    url: '/ems/base/baseSharePrice/list',
    method: 'get',
    params: query
  })
}

// 查询分时电价维护详细
export function getBaseSharePrice(objId) {
  return request({
    url: '/ems/base/baseSharePrice/' + objId,
    method: 'get'
  })
}

// 新增分时电价维护
export function addBaseSharePrice(data) {
  return request({
    url: '/ems/base/baseSharePrice',
    method: 'post',
    data: data
  })
}

// 修改分时电价维护
export function updateBaseSharePrice(data) {
  return request({
    url: '/ems/base/baseSharePrice',
    method: 'put',
    data: data
  })
}

// 删除分时电价维护
export function delBaseSharePrice(objId) {
  return request({
    url: '/ems/base/baseSharePrice/' + objId,
    method: 'delete'
  })
}
